Package be.ehealth.technicalconnector.handler

# Class AbstractWsSecurityHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

Direct Known Subclasses:
  `CertificateCallback`, `SAMLHolderOfKeyHandler`, `SAMLHolderOfKeyHandler`, `SAMLSenderVouchesHandler`

public abstract class AbstractWsSecurityHandler extends AbstractSOAPHandler
Abstract class containing a Wizard that facilitates the creation of a Security Header.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `AbstractWsSecurityHandler.SignedParts`
  `static interface`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
  `static interface`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1`
  `static interface`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2`
  `static interface`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3`
  `static interface`
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_WSSECHEADER_GENERATOR`
  Property to override the WS Security Header generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractWsSecurityHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0`
  `buildSignature()`
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleFault, handleInbound, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_WSSECHEADER_GENERATOR

    public static final String PROP_WSSECHEADER_GENERATOR
    Property to override the WS Security Header generator. Default value: `WSSecHeaderGeneratorWss4jImpl`
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractWsSecurityHandler

    public AbstractWsSecurityHandler()

- ## Method Details

  - ### buildSignature

    public AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0 buildSignature() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`